2018-12-12 19:17 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000100Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:04
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000100: Falsch leitende Variable $CSS umbenennen und globals vermeiden
DescriptionIm Zuge der "De-Globalisierung" ;-) soll auch die fehlinterpretierte Variable $CSS umbenannt werden. Dies soll nun $GLOBALS['output_mode'] sein, damit dies etwas verstaendlicher wird.

Dabei wuerden einige "global-Statements" entfallen, die laut Profi-Concept ohnehin unsauber sind.

Hier sind gleich noch ein paar "unschoene" Variablen zum Austausch:
$footer, $header
Additional InformationBitte hier weitere Variablen sammeln!
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000099closedQuix0r In Funktionen der Haupts√§chliche einsatz von $GLOBAL 
+Relationships

-Notes

~0000265

Quix0r (administrator)

$footer -> $GLOBALS['footer_sent']
$header -> $GLOBALS['header_sent']

Damit dies an die Notation besser angepasst ist:
$cacheInstance -> $GLOBALS['cache_instance']
$cacheArray -> $GLOBALS['cache_array']

~0000266

Quix0r (administrator)

Sollte mit Kommit 765 der Fall sein.

~0000269

Quix0r (administrator)

$db und $link sind nun in den SQL-Funktionen gekapselt. Siehe Commit 766

~0000271

Quix0r (administrator)

Es sollte noch $frame ganz entfernt werden, da das Frameset nicht mehr unterstuetzt wird.

~0000272

Quix0r (administrator)

Last edited: 2009-03-13 03:05

$filters => $GLOBALS['filters']['chains']
$counter => $GLOBALS['filters']['counter']
$loadedFilters => $GLOBALS['filters']['loaded']
$LAST -> $GLOBALS['last']
$FATAL -> $GLOBALS['fatal_messages']
$NAV_DEPTH -> $GLOBALS['nav_depth']
$OK -> $GLOBALS['sql_first_entry']
$WERNIS -> $GLOBALS['wernis_data']
$primera -> ***ENTFERNT***
$jackpit -> ***KEIN GLOBAL!***
$menuDescription -> $GLOBALS['menu']['description']
$menuTitle -> $GLOBALS['menu']['title']
$REPLACER -> $GLOBALS['replacer']
$SURFBAR_CACHE -> $GLOBALS['cache_array']['surfbar']
$HTML_TAGS -> $GLOBALS['html_tags']
$URL_ENDS -> $GLOBALS['url_ends']
$VALID_EMAIL_CHARS -> $GLOBALS['valid_email_chars']
$SEC_CHARS -> $GLOBALS['security_chars']
$URL_CHARS -> $GLOBALS['url_chars']
$EXT_CSS_FILES -> Neue Funktionen: EXT_GET_CSS_FILES(), EXT_INIT_CSS_FILES(), EXT_ADD_CSS_FILE()
$BLOCK_MODE -> $GLOBALS['block_mode']
$MONTH_DESCR -> $GLOBALS['month_descr']
$DOUBLER_UID -> $GLOBALS['doubler_uid']
$yoomediaTranslationTable -> $GLOBALS['translation_tables']['yoomedia']
$lastUrlData -> $GLOBALS['last_url_data']
$ERROR -> $errorCode (KEIN GLOBAL!)

~0000287

Quix0r (administrator)

Jetzt bleibt als letztes, haeufigeres $DATA uebrig. Dies ist aber in den Templates auch vorhanden und kann daher erstmal nicht umgeschrieben werden.

~0000290

Quix0r (administrator)

Fuer die Erweiterungen gab es auch viele globals. Diese habe ich seit einigen Revisionen in Funktionen gekapselt.

~0000315

Quix0r (administrator)

Sind zwar nicht global, aber nun auch in $GLOBALS vorhanden:
$THEME_NAME -> $GLOBALS['theme_data']['name']
$THEME_AUTHOR -> $GLOBALS['theme_data']['author']
$THEME_EMAIL -> $GLOBALS['theme_data']['email']
$THEME_URL -> $GLOBALS['theme_data']['url']
$THEME_VERSION -> $GLOBALS['theme_data']['version']
$THEME_MODE -> $GLOBALS['theme_mode']

~0000316

Quix0r (administrator)

Mit Commit 951 bleibt jetzt "nur" noch $DATA, $username und $status. $_CONFIG ist hier (noch) aussen vor genommen, vielleicht wird es auch bald folgen und in $GLOBALS "verschwinden".

~0000319

Quix0r (administrator)

Es sollte bis auf die besagten Ausnahmen alles gefunden worden sein. Falls noch etwas fehlen solle, seit einfach so frei und frage nach einer erneuten Oeffnung des Tickets.

~0000436

Quix0r (administrator)

Last edited: 2010-03-02 16:58

Der Zugriff in den Templates auf $_CONFIG kann nun ueber zwei Ausdruecke erfolgen.

Beispiel 1:
{%config,translateComma=beg_points%}

Erlaeuterungen 1:
Der Konfigurationseintrag 'beg_points' wird aus der Konfiguration ausgelesen und wird vor der Rueckgabe an die Template-Engine noch durch translateComma() gefiltert. Das ganze geschieht in doExpressionConfig(), expression-functions.php und wird bei eingeschaltetem Template-Cache in die Cache-Datei geschrieben, so dass die Daten bei jedem Aufruf dynamisch geholt werden koennen.

Beispiel 2:
{?some_foo_config?}

Erleuterungen 2:
Der Konfigurationseintrag 'some_foo_config' wird ausgelesen und bei eingeschaltetem Template-Cache so in die Cache-Datei geschrieben, dass bei jedem Aufruf ein Aufruf von getConfig('some_foo_config') erfolgt.

Unterschied:
Varriante 1 ist deutlich flexibler als Varriante zwei, da die Werte "gefiltert" werden koennen. Hingegen ist Varriante 2 fuer Konfigurationseinstellungen interessant, wo keine Filterung noetig ist (z.B. URLs) und ist vermutlich etwas performanter (dafuer aber "starr").

~0000645

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-28 12:40 Quix0r New Issue
2009-02-28 12:43 Quix0r Projection none => major rework
2009-02-28 12:44 Quix0r Status new => assigned
2009-02-28 12:44 Quix0r Assigned To => Quix0r
2009-02-28 12:44 Quix0r Relationship added related to 0000099
2009-02-28 12:57 Quix0r Note Added: 0000265
2009-02-28 13:00 Quix0r Note Added: 0000266
2009-02-28 14:07 Quix0r Note Added: 0000269
2009-02-28 15:59 Quix0r Note Added: 0000271
2009-02-28 16:06 Quix0r Note Added: 0000272
2009-02-28 16:44 Quix0r Note Edited: 0000272
2009-02-28 16:54 Quix0r Note Edited: 0000272
2009-02-28 22:06 Quix0r Note Added: 0000287
2009-03-02 14:57 Quix0r Note Added: 0000290
2009-03-02 15:32 Quix0r Sticky Issue No => Yes
2009-03-04 20:34 Quix0r Note Edited: 0000272
2009-03-04 22:19 Quix0r Note Edited: 0000272
2009-03-13 02:58 Quix0r Note Added: 0000315
2009-03-13 03:00 Quix0r Note Edited: 0000272
2009-03-13 03:01 Quix0r Note Edited: 0000272
2009-03-13 03:05 Quix0r Note Edited: 0000272
2009-03-13 03:12 Quix0r Note Added: 0000316
2009-03-17 00:25 Quix0r Note Added: 0000319
2009-03-17 00:25 Quix0r Status assigned => resolved
2009-03-17 00:25 Quix0r Fixed in Version => 0.2.1-FINAL
2009-03-17 00:25 Quix0r Resolution open => fixed
2009-03-17 00:28 Quix0r ETA none => < 1 month
2009-03-17 00:28 Quix0r Product Version 0.2.1-FINAL =>
2010-03-02 16:50 Quix0r Note Added: 0000436
2010-03-02 16:58 Quix0r Note Edited: 0000436
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:40 Quix0r Product Version => 0.2.1-FINAL
2016-11-23 10:03 Quix0r Status resolved => closed
2016-11-23 10:04 Quix0r Note Added: 0000645
+Issue History